# The Swoole\Channel class

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

## Introduction

## Class synopsis

Swoole\Channel {
/* Methods */
public __destruct ( void ) : void
public pop ( void ) : mixed
public push ( string `$data` ) : bool
public stats ( void ) : array
}

## Table of Contents

- Swoole\Channel::__construct — Construct a Swoole Channel
- Swoole\Channel::__destruct — Destruct a Swoole channel.
- Swoole\Channel::pop — Read and pop data from swoole channel.
- Swoole\Channel::push — Write and push data into Swoole channel.
- Swoole\Channel::stats — Get stats of swoole channel.